#ifndef PPIMAGE_H

#define PPIMAGE_H
#include <qwidget.h>
#include <qlabel.h>
#include <qstring.h>
#include <qevent.h>
#include <qpainter.h>
#include <qdebug.h>

class PPImage : public QLabel
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */

    PPImage(QWidget *parent = 0, const char *name = 0);
    /**
     * Default Destructor
     */

    virtual ~PPImage();
    void mousePressEvent(QMouseEvent *evt);
    void mouseReleaseEvent(QMouseEvent *evt);
    void mouseMoveEvent(QMouseEvent *evt);
    void paintEvent(QPaintEvent *evt);
    void setPixmap(QPixmap m_pixmap);
    QRect getAOI();
    void  enableAOI(bool on);

private slots:

signals:
     void mouseXPos (int );
     void mouseYPos (int );
     void resetPixmap();

 private:
        QPixmap m_pixmap;
        int	x;
        int	y;
        bool	doDraw;
        bool    aoiEnabled;
        QRect   currentAOI;
};
#endif // PPIMAGE_H
